"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextAutomaticMatchParameters = void 0;
const index_1 = require("../../parameters/index");
const index_2 = require("../../exception/index");
class ContextAutomaticMatchParameters extends index_1.BaseParameters {
    setFileUri(fileUri) {
        this.set("contentFileUri", fileUri);
        return this;
    }
    setStringHashcodes(stringHashcodes) {
        this.set("stringHashcodes", stringHashcodes);
        return this;
    }
    setOverrideContextOlderThanDays(overrideContextOlderThanDays) {
        if (overrideContextOlderThanDays < 1) {
            throw new index_2.SmartlingException("Override context older than days should be a positive number");
        }
        this.set("overrideContextOlderThanDays", overrideContextOlderThanDays);
        return this;
    }
}
exports.ContextAutomaticMatchParameters = ContextAutomaticMatchParameters;
//# sourceMappingURL=context-automatic-match-parameters.js.map