"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateBatchParameters = void 0;
const index_1 = require("../../parameters/index");
class CreateBatchParameters extends index_1.BaseParameters {
    constructor(parameters = {}) {
        super(parameters);
        this.set("fileUris", []);
        this.set("localeWorkflows", []);
    }
    setTranslationJobUid(uid) {
        this.set("translationJobUid", uid);
        return this;
    }
    setAuthorize(authorize) {
        this.set("authorize", authorize);
        return this;
    }
    addFileUri(fileUri) {
        this.parameters.fileUris = this.parameters.fileUris.concat(fileUri);
        return this;
    }
    addLocaleWorkflows(targetLocaleId, workflowUid) {
        this.parameters.localeWorkflows = this.parameters.localeWorkflows.concat({
            targetLocaleId,
            workflowUid
        });
        return this;
    }
}
exports.CreateBatchParameters = CreateBatchParameters;
//# sourceMappingURL=create-batch-parameters.js.map