"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FetchSourceStringsParameters = void 0;
const index_1 = require("../../parameters/index");
const index_2 = require("../../exception/index");
class FetchSourceStringsParameters extends index_1.BaseParameters {
    setHashCodes(hashCodes) {
        this.set("hashcodes", hashCodes);
        return this;
    }
    setFileUri(fileUri) {
        this.set("fileUri", fileUri);
        return this;
    }
    setLimit(limit) {
        if (limit < 0) {
            throw new index_2.SmartlingException("Limit parameter cannot be a negative number");
        }
        this.set("limit", limit);
        return this;
    }
    setOffset(offset) {
        if (offset < 0) {
            throw new index_2.SmartlingException("Offset parameter cannot be a negative number");
        }
        this.set("offset", offset);
        return this;
    }
}
exports.FetchSourceStringsParameters = FetchSourceStringsParameters;
//# sourceMappingURL=fetch-source-strings-parameters.js.map